SFML 3.0.2
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Joystick::Identification Struct Reference

Structure holding a joystick's identification. More...

`#include <SFML/Window/Joystick.hpp>`

## Public Attributes

String | name {"No Joystick"}
| Name of the joystick.
unsigned int | vendorId {}
| Manufacturer identifier.
unsigned int | productId {}
| Product identifier.

## Detailed Description

Structure holding a joystick's identification.

Definition at line 70 of file Joystick.hpp.

## Member Data Documentation

## ◆ name

String sf::Joystick::Identification::name {"No Joystick"}

Name of the joystick.

Definition at line 72 of file Joystick.hpp.

## ◆ productId

unsigned int sf::Joystick::Identification::productId {}

Product identifier.

Definition at line 74 of file Joystick.hpp.

## ◆ vendorId

unsigned int sf::Joystick::Identification::vendorId {}

Manufacturer identifier.

Definition at line 73 of file Joystick.hpp.

The documentation for this struct was generated from the following file:

- Joystick.hpp